Bug 184427 - [maintainer] [patch] mail/milter-greylist-devel update to 4.5.7
Summary: [maintainer] [patch] mail/milter-greylist-devel update to 4.5.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-02 09:20 UTC by m.tsatsenko
Modified: 2013-12-17 16:30 UTC (History)
0 users

See Also:


Attachments
file.diff (2.85 KB, patch)
2013-12-02 09:20 UTC, m.tsatsenko
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description m.tsatsenko 2013-12-02 09:20:00 UTC
- Update to 4.5.7

Build logs: https://redports.org/buildarchive/20131129120423-00810/

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-12-02 09:20:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

swills@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-12-17 16:26:02 UTC
Author: swills
Date: Tue Dec 17 16:25:53 2013
New Revision: 336739
URL: http://svnweb.freebsd.org/changeset/ports/336739

Log:
  - Update to 4.5.7
  
  PR:		ports/184427
  Submitted by:	"Mikhail T." <m.tsatsenko@gmail.com>

Modified:
  head/mail/milter-greylist-devel/Makefile   (contents, props changed)
  head/mail/milter-greylist-devel/distinfo   (contents, props changed)
  head/mail/milter-greylist-devel/files/patch-configure   (contents, props changed)

Modified: head/mail/milter-greylist-devel/Makefile
==============================================================================
--- head/mail/milter-greylist-devel/Makefile	Tue Dec 17 16:17:01 2013	(r336738)
+++ head/mail/milter-greylist-devel/Makefile	Tue Dec 17 16:25:53 2013	(r336739)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	milter-greylist
-PORTVERSION=	4.3.9
+PORTVERSION=	4.5.7
 CATEGORIES=	mail
 MASTER_SITES=	ftp://ftp.espci.fr/pub/milter-greylist/ \
 		http://fossies.org/unix/privat/
@@ -14,7 +14,7 @@ COMMENT=	Easy-to-use greylist milter for
 
 LICENSE=	BSD
 
-CONFLICTS=	milter-greylist-4.2.*
+CONFLICTS=	milter-greylist-4.2.* milter-greylist-4.4.*
 PKGMESSAGE=	${WRKDIR}/pkg-message
 
 MAKE_JOBS_UNSAFE=	yes

Modified: head/mail/milter-greylist-devel/distinfo
==============================================================================
--- head/mail/milter-greylist-devel/distinfo	Tue Dec 17 16:17:01 2013	(r336738)
+++ head/mail/milter-greylist-devel/distinfo	Tue Dec 17 16:25:53 2013	(r336739)
@@ -1,2 +1,2 @@
-SHA256 (milter-greylist-4.3.9.tgz) = 02b712cf25e967f2b1a8984966a4d084bba89ceed26f5549ef201f7933c62d97
-SIZE (milter-greylist-4.3.9.tgz) = 222367
+SHA256 (milter-greylist-4.5.7.tgz) = b3e57d5d01f773c12081b28e671f82ed89c558ed2194de145619bc74b9420f3b
+SIZE (milter-greylist-4.5.7.tgz) = 249853

Modified: head/mail/milter-greylist-devel/files/patch-configure
==============================================================================
--- head/mail/milter-greylist-devel/files/patch-configure	Tue Dec 17 16:17:01 2013	(r336738)
+++ head/mail/milter-greylist-devel/files/patch-configure	Tue Dec 17 16:25:53 2013	(r336739)
@@ -1,6 +1,6 @@
---- configure.orig	2011-04-13 05:41:45.000000000 +0400
-+++ configure	2011-09-19 22:17:17.498960457 +0400
-@@ -4982,7 +4982,7 @@
+--- configure.orig	2013-09-16 07:09:00.000000000 +0400
++++ configure	2013-11-14 15:10:56.406013703 +0400
+@@ -6094,7 +6094,7 @@
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_pthread_pthread_create" >&5
  $as_echo "$ac_cv_lib_pthread_pthread_create" >&6; }
  if test "x$ac_cv_lib_pthread_pthread_create" = x""yes; then :
@@ -9,19 +9,3 @@
  else
    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for pthread_create in -lc_r" >&5
  $as_echo_n "checking for pthread_create in -lc_r... " >&6; }
-@@ -5488,13 +5488,13 @@
- if test "${with_libdkim+set}" = set; then :
-   withval=$with_libdkim; LDFLAGS=$LDFLAGS" -L$withval/lib -Wl,$rpath$withval/lib"
- 	    CFLAGS=$CFLAGS" -I$withval/include"
--	    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for dkim_init in -ldkim -lsm -lcrypto" >&5
--$as_echo_n "checking for dkim_init in -ldkim -lsm -lcrypto... " >&6; }
-+	    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for dkim_init in -ldkim -lcrypto" >&5
-+$as_echo_n "checking for dkim_init in -ldkim -lcrypto... " >&6; }
- if test "${ac_cv_lib_dkim__lsm__lcrypto_dkim_init+set}" = set; then :
-   $as_echo_n "(cached) " >&6
- else
-   ac_check_lib_save_LIBS=$LIBS
--LIBS="-ldkim -lsm -lcrypto  $LIBS"
-+LIBS="-ldkim -lcrypto  $LIBS"
- cat confdefs.h - <<_ACEOF >conftest.$ac_ext
- /* end confdefs.h.  */
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Steve Wills freebsd_committer 2013-12-17 16:27:29 UTC
State Changed
From-To: open->closed

Committed. Thanks!